#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kppp
Summary:        Internet Dial-Up Tool
Group:          Networking/Remote access
Version: 4.12.5
Release:        %mkrel %{rel}
Epoch:          3
URL:            http://www.kde.org
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz



BuildRequires:  kdelibs4-devel >= 2:%{version}
Conflicts:      kdenetwork4-core < 3:4.5.72
Conflicts:      kdenetwork4-devel < 3:4.6.95
Requires:       ppp
Requires:       kppp-provider = %{epoch}:%{version}
Suggests:       kppp-handbook


%description
KPPP is used to setup PPP (Point-to-Point Protocol) connections. This is most
useful for connecting with a cell phone "modem" card these days. It is also use
to configure real modem connections.

%files
%dir %_kde_appsdir/kppp
%_kde_appsdir/kppp/pics
%_kde_bindir/kppp
%_kde_bindir/kppplogview
%_kde_datadir/applications/kde4/Kppp.desktop
%_kde_datadir/applications/kde4/kppplogview.desktop
%_kde_iconsdir/*/*/apps/kppp.*
%_datadir/dbus-1/interfaces/org.kde.kppp.xml

#------------------------------------------------------------------------------

%package -n kppp-handbook
Summary: Kppp Handbook
Conflicts: kppp < 3:4.7.1
Requires:  kppp >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kppp-handbook
This package provides kppp handbook

%files -n kppp-handbook
%doc %_kde_docdir/HTML/en/kppp

#------------------------------------------------------------------------------

%package -n kppp-provider
Group:          Networking/Remote access
Summary:        List of providers for pppd

%description -n kppp-provider
List of providers for kppp

%files -n kppp-provider
%_kde_appsdir/kppp/Rules
%_kde_appsdir/kppp/Provider

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF 
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 3:4.12.5-1.mga4
+ Revision: 641336
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555026
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551298
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540419
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490841
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488645
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476918
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465315
- Update tarball to KDE SC 4.11.0
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458944
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455330
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 448032
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kppp

